const h = window.FoundationCoreUi.h;

class Button {
    constructor() {
        this.styles = 'btn-blue';
    }
    clickHandler() {
        this.clickEvent.emit();
    }
    render() {
        return (h("button", { class: `btn ${this.styles}`, onClick: () => this.clickHandler() }, this.name));
    }
    static get is() { return "dom-button"; }
    static get properties() { return {
        "buttonEl": {
            "elementRef": true
        },
        "name": {
            "type": String,
            "attr": "name"
        },
        "styles": {
            "type": String,
            "attr": "styles"
        }
    }; }
    static get events() { return [{
            "name": "clickEvent",
            "method": "clickEvent",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
    static get style() { return "dom-button button {\n  color: black;\n  font-size: 16px;\n  padding: 15px;\n  border-radius: 3px;\n  border: none; }\n  dom-button button.danger {\n    background-color: red;\n    color: white; }\n  dom-button button.success {\n    background-color: green;\n    color: white; }"; }
}

export { Button as DomButton };
